# Method: customBiddingAlgorithms.create

> [!WARNING]
> Display \& Video 360 API v1 has been sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms/create#try-it)

Creates a new custom bidding algorithm. Returns the newly created custom bidding algorithm if successful.

### HTTP request

`POST https://displayvideo.googleapis.com/v1/customBiddingAlgorithms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).